udev rules for raw1394 video1394 not working

Bug #369817 reported by C-x-s on 2009-04-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu Version:
Ubuntu 9.04 - the Jaunty Jackalope - released in April 2009.

rules defined in
"/lib/udev/rules.d/50-udev-default.rules"

# Firewire
KERNEL=="dv1394[0-9]*", NAME="dv1394/%n", GROUP="video"
KERNEL=="video1394[0-9]*", NAME="video1394/%n", GROUP="video"

# block-releated
...
KERNEL=="rawctl", NAME="raw/rawctl", GROUP="disk"
SUBSYSTEM=="raw", KERNEL=="raw[0-9]*", NAME="raw/%k", GROUP="disk"

have no effect!

When pluging in a firewire camera they appear under group and user root and not - as in the rule - under video and disk:

crw-rw---- 1 root root 171, 0 2009-04-30 15:06 /dev/raw1394
crw-rw---- 1 root root 171, 16 2009-04-30 15:06 /dev/video1394-0

This is not correct.

C-x-s (lenz-in) on 2009-05-04
affects: ubuntu → udev (Ubuntu)
description: updated

Looks like we're missing a "-" in the video1394 rules (and probably dv1394)

Note that the raw rule is not supposed to match, which is why it explicitly checks SUBSYSTEM. /dev/raw1394 should be where it is.

Kay Sievers (kaysievers) wrote :

Added the missing '-' to the 1394 rules.
Right, the "raw" stuff is for block devices, not for firewire.

Btw, isn't the old ieee1394 stack fully replaced by the "firewire" drivers?

C-x-s (lenz-in) wrote :

After adding the "-" in the rule, the device video1394 is now created correctly.

But as I compared the current udev rules with the previous version (intrepid), there seems to be a rule missing for firewire devices:

intrepid:
KERNEL=="raw1394", GROUP="disk"
KERNEL=="dv1394*", GROUP="video"
KERNEL=="video1394*", GROUP="video"

jaunty:
KERNEL=="dv1394[0-9]*", NAME="dv1394/%n", GROUP="video"
KERNEL=="video1394[0-9]*", NAME="video1394/%n", GROUP="video"

I suppose the rule:
KERNEL=="raw1394", GROUP="disk"

should be added as well.

Kay Sievers (kaysievers) wrote :

> I suppose the rule:
> KERNEL=="raw1394", GROUP="disk"

I think, that has been removed for security reasons, because you could loopback the cable and the "video" user could get access the random hardware through the firewire interface.

On Tue, 2009-05-05 at 11:52 +0000, C-x-s wrote:

> After adding the "-" in the rule, the device video1394 is now created
> correctly.
>
> But as I compared the current udev rules with the previous version
> (intrepid), there seems to be a rule missing for firewire devices:
>
> intrepid:
> KERNEL=="raw1394", GROUP="disk"
> KERNEL=="dv1394*", GROUP="video"
> KERNEL=="video1394*", GROUP="video"
>
>
> jaunty:
> KERNEL=="dv1394[0-9]*", NAME="dv1394/%n", GROUP="video"
> KERNEL=="video1394[0-9]*", NAME="video1394/%n", GROUP="video"
>
> I suppose the rule:
> KERNEL=="raw1394", GROUP="disk"
>
> should be added as well.
>
We opted to remove this rule.

If you want it, you can always put it back in a file
in /etc/udev/rules.d instead

Scott
--
Scott James Remnant
<email address hidden>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 141-2+git4a74214

---------------
udev (141-2+git4a74214) karmic; urgency=low

  * Update to GIT HEAD:
    - bugfixes. LP: #369817, #368109.
    - libudev allows you to subscribe to udev events, and filter those
      based on system, etc.
    - extras/cdrom_id/cdrom_id.c: Add a new key ID_CDROM_MEDIA=1 if there
      is a CD present. Also, skip media tests if CDROM_DRIVE_STATUS !=
      CDS_DISC_OK.
    - rules/rules.d/60-persistent-storage.rules: Only start vol_id if
      ID_CDROM_MEDIA is set. This should fix the auto-closing of the tray.
      (LP: #356631)

  * Remove /dev/MAKEDEV symlink on upgrade.
  * Remove /dev/kmem device node, this is disabled in our kernels and
    will be created anyway if the module is loaded from a kernel compiled
    with it enabled.

  * The vol_id binary and libvolume-id library are no longer built by
    this package. Software should use the blkid binary and libblkid
    library supplied by the util-linux source package instead.
  * Add Breaks on packages that were using vol_id with our blessing.

 -- Scott James Remnant <email address hidden> Thu, 07 May 2009 12:48:24 +0100

Changed in udev (Ubuntu):
status: New → Fix Released
jap1968 (jap1968) wrote :

According to comment #6, the bug was fixed (udev - 141-2+git4a74214)

Three months before, I am running an Ubuntu 9.04 fully updated and still have a wrong version (udev - 141-1.2)

Is this update going to be released in Ubuntu 9.04?

Anyway, I have examined the diff files, an I can find the solution for 'dv1394' and 'video1394', but I am not able to see any changes related to the raw1394 device.

-KERNEL=="dv1394[0-9]*", NAME="dv1394/%n", GROUP="video"
-KERNEL=="video1394[0-9]*", NAME="video1394/%n", GROUP="video"
+KERNEL=="dv1394-[0-9]*", NAME="dv1394/%n", GROUP="video"
+KERNEL=="video1394-[0-9]*", NAME="video1394/%n", GROUP="video"

Ca I fix the /dev/raw1394 device in this file of rules (in order to capture miniDV video with Kino) or should I keep on using the old "solution", every time I go to capture video?

$ sudo chmod 666 /dev/raw1394

Thanks in advance and excuse my limited English knowledge.

Andrew Straw (astraw) wrote :

See LP: #6290 (and LP: #421551) for a further discussion of the permission issues.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers